# Q922_Frame Class Reference

`#include <q922.h>`

Inheritance diagram for Q922_Frame:

[legend]

## Public Member Functions

| Q922_Frame (PINDEX informationFieldSize=260)
| ~Q922_Frame ()
BYTE | GetHighOrderAddressOctet () const
BYTE | GetLowOrderAddressOctet () const
void | SetHighOrderAddressOctet (BYTE octet)
void | SetLowOrderAddressOctet (BYTE octet)
BYTE | GetControlFieldOctet () const
void | SetControlFieldOctet (BYTE octet)
BYTE * | GetInformationFieldPtr () const
PINDEX | GetInformationFieldSize () const
void | SetInformationFieldSize (PINDEX size)
PBoolean | DecodeAnnexQ (const BYTE *buffer, PINDEX size)
PINDEX | GetAnnexQEncodedSize () const
PBoolean | EncodeAnnexQ (BYTE *buffer, PINDEX &size) const
PBoolean | DecodeHDLC (const BYTE *data, PINDEX size)
PINDEX | GetHDLCEncodedSize () const
PBoolean | EncodeHDLC (BYTE *buffer, PINDEX &size) const
PBoolean | EncodeHDLC (BYTE *buffer, PINDEX &size, BYTE &bitPosition) const

## Protected Attributes

PINDEX | informationFieldSize

## Constructor & Destructor Documentation

Q922_Frame::Q922_Frame | ( | PINDEX | informationFieldSize = `260` | ) |

Q922_Frame::~Q922_Frame | ( |  | ) |

## Member Function Documentation

PBoolean Q922_Frame::DecodeAnnexQ | ( | const BYTE * | buffer,
|  | PINDEX | size |
| ) |  |  |

Decodes a Q.922 frame from a given buffer, encoded as descibed in H.323 Annex Q. Returns the success of this operation

Reimplemented in H224_Frame.

PBoolean Q922_Frame::DecodeHDLC | ( | const BYTE * | data,
|  | PINDEX | size |
| ) |  |  |

Decodes a Q.922 frame from a given buffer. Returns the success of this operation

Reimplemented in H224_Frame.

PBoolean Q922_Frame::EncodeAnnexQ | ( | BYTE * | buffer,
|  | PINDEX & | size |
| ) |  |  | const

Encodes this Q.922 frame into the given buffer. On return, size contains the number of octets occupied in the buffer

PBoolean Q922_Frame::EncodeHDLC | ( | BYTE * | buffer,
|  | PINDEX & | size,
|  | BYTE & | bitPosition |
| ) |  |  | const

Encodes this Q.922 frame into the given buffer. On return, size contains the number of octets occupied in the buffer. Use bitPosition to determine at which bit the Q.922 FLAG sequence should begin. On return, bitPosition contains the bit at which the encoded stream ends. bitPosition shall be in the range 0-7, whereas 7 means that the FLAG sequence is encoded at byte boundaries

PBoolean Q922_Frame::EncodeHDLC | ( | BYTE * | buffer,
|  | PINDEX & | size |
| ) |  |  | const

Encodes this Q.922 frame into the given buffer. On return, size contains the number of octets occupied in the buffer.

PINDEX Q922_Frame::GetAnnexQEncodedSize | ( |  | ) | const

Returns the size if encoded as described in H.323 Annex Q

BYTE Q922_Frame::GetControlFieldOctet | ( |  | ) | const`[inline]`

PINDEX Q922_Frame::GetHDLCEncodedSize | ( |  | ) | const

Returns an estimate of the encoded size. The receiver will use at most the size when encoding. Returns zero if encoding will fail.

BYTE Q922_Frame::GetHighOrderAddressOctet | ( |  | ) | const`[inline]`

BYTE* Q922_Frame::GetInformationFieldPtr | ( |  | ) | const`[inline]`

PINDEX Q922_Frame::GetInformationFieldSize | ( |  | ) | const`[inline]`

BYTE Q922_Frame::GetLowOrderAddressOctet | ( |  | ) | const`[inline]`

void Q922_Frame::SetControlFieldOctet | ( | BYTE | octet | ) | `[inline]`

void Q922_Frame::SetHighOrderAddressOctet | ( | BYTE | octet | ) | `[inline]`

void Q922_Frame::SetInformationFieldSize | ( | PINDEX | size | ) |

void Q922_Frame::SetLowOrderAddressOctet | ( | BYTE | octet | ) | `[inline]`

## Field Documentation

PINDEX Q922_Frame::informationFieldSize `[protected]`

The documentation for this class was generated from the following file:

- q922.h